Bug 1126493 - import config-file doesn't give modules a Description
Summary: import config-file doesn't give modules a Description
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Transitions
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Grant Gainey
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks: stargate-GA-tracker
TreeView+ depends on / blocked
 
Reported: 2014-08-04 14:55 UTC by Grant Gainey
Modified: 2014-09-11 12:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:30:01 UTC


Attachments (Terms of Use)

Description Grant Gainey 2014-08-04 14:55:07 UTC
metadata.json has no 'description' key - so in the Sat6 UI, an uploaded Module shows 'null'

Currently the metadata.json file is created by answering the 'puppet generate module' interview questions.  'description' is not one of them, alas.

Post-generate, munge the resulting metadata.json file to add 'description' after 'summary'

Comment 1 RHEL Product and Program Management 2014-08-04 15:14:05 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Grant Gainey 2014-08-04 19:58:33 UTC
commit 82a8048bef23ad189077dc7191aa879f89ed82c6

Comment 6 Matej Kollar 2014-09-05 14:07:51 UTC
verified with rubygem-hammer_cli_import-0.10.4-1

Comment 7 Bryan Kearney 2014-09-11 12:30:01 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.